## shogun 1.0.0

=== Makefile ===
# Usage scenarios
#
# * To make a release (and tag it) run
#
#       make prepare-release
#       make git-tag-release  
#       (cd shogun-releases/shogun_X.Y.Z ; make release ; make update-webpage)
#
# * To create a debian .orig.tar.gz run
#
#       make release DEBIAN=yes
#
# * To create a snapshot run
#
#       make release SNAPSHOT=yes
# 
# * To sign/md5sum the created tarballs and copy them to the webpage
#
#       make update-webpage
#
#
# The following additional options may be set
#
# DEBIAN=yes   						-> use debian naming scheme shogun_0.1.1+git2f0a2c8.orig.tar.gz
# SVMLIGHT=no						-> remove svm light
# COMPRESS=cruncher					-> use cruncher (bz2/gz etc as file compressor)
# SNAPSHOT=yes						-> use git snapshot naming scheme
# MAINVERSION=0.2.0					-> main version
# EXTRAVERSION=+git2f0a2c8			-> extra version string
# RELEASENAME=shogun-3.0.0+extra	-> use different releasename, here shogun-3.0.0+extra
#
# * For example to use gzip instead of bzip2 and to append an extra version
# string.
#       make release COMPRESS=gzip EXTRAVERSION=+git2f0a2c8
#
# * To create a debian snapshot package
#
#      make DEBIAN=yes SNAPSHOT=yes
#

DEBIAN := no
SVMLIGHT := yes
COMPRESS := bzip2
MAINVERSION := $(shell awk '/Release/{print $$5;exit}' src/NEWS)
VERSIONBASE := $(shell echo $(MAINVERSION) | cut -f 1-2 -d '.')
EXTRAVERSION := 
DATAMAINVERSION := $(shell awk '/Release/{print $$9;exit}' src/NEWS | tr -d '(,)' )
DATAEXTRAVERSION :=
DATARELEASENAME := shogun-data-$(DATAMAINVERSION)$(DATAEXTRAVERSION)
RELEASENAME := shogun-$(MAINVERSION)$(EXTRAVERSION)
GITVERSION := $(shell git show --pretty='format:%h'|head -1)
LOGFILE := 'prepare-release.log'

stop:
	@echo
	@echo "To install shogun, please go to the 'src' directory,"
	@echo "most of the time"
	@echo
	@echo "cd src"
	@echo "./configure"
	@echo "make"
	@echo
	@echo "which will build all available interfaces of shogun"
	@echo "should be enough. For further information consult"
	@echo "especially the INSTALL and README files and try"
	@echo
	@echo "./configure --help"
	@echo

debian-package:	DEBIAN=yes
ifeq ($(DEBIAN),yes)
COMPRESS := gzip
SVMLIGHT := no
RELEASENAME := shogun_$(MAINVERSION)
ifeq ($(SNAPSHOT),yes)
RELEASENAME := $(RELEASENAME)+git$(GITVERSION)
endif
RELEASENAME := $(RELEASENAME).orig
else
ifeq ($(SNAPSHOT),yes)
RELEASENAME := $(RELEASENAME)+git$(GITVERSION)
endif
all: doc release matlab python octave
endif


.PHONY: all release package-from-release update-webpage clean distclean embed-main-version

DATADESTDIR := ../$(DATARELEASENAME)
DESTDIR := ../$(RELEASENAME)
REMOVE_SVMLIGHT := rm -f $(DESTDIR)/src/shogun/classifier/svm/SVM_light.* $(DESTDIR)/src/shogun/classifier/svm/Optimizer.* $(DESTDIR)/src/shogun/regression/svr/SVR_light.* $(DESTDIR)/src/LICENSE.SVMlight; \
rm -f $(DESTDIR)/testsuite/data/classifier/SVMLight* $(DESTDIR)/testsuite/data/regression/SVRLight*	; \

=== src/Makefile ===
.PHONY: ChangeLog

ifneq (.config,$(wildcard .config))
all:
#runconfigurehunkstart
	@echo ==================
	@echo SHOGUN - Makefile
	@echo ==================
	@echo
	@echo
	@echo !!! Please run ./configure with the appropriate options first !!!
	@echo
	@echo For additional options see
	@echo "              ./configure --help"
	@echo
	@exit 1
#runconfigurehunkend
else
include .config
ifeq (.config-local,$(wildcard .config-local))
include .config-local
endif
PARTDEPS = $(foreach part, $(PARTS), interfaces/$(part)/Makefile )
all:  $(PARTDEPS) examples $(LIBSHOGUN_TARGET)
	@echo ============================================================
	@echo ==== Building shogun for platform $(KERNELNAME)-$(MACHINE)
	@echo ==== opts: $(COMPFLAGS_CPP)
	@echo ============================================================
	@echo 
	@+$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) $@ &&) true
	@echo 
	@echo ============================================================
	@echo ==== Done. Check the subdirectories for binaries.
	@echo ============================================================
	@echo 
endif

$(LIBSHOGUN_TARGET): shogun/Makefile 
	$(MAKE) -C shogun

shogun/Makefile: Makefile.template
	@cat Makefile.template | sed 's/template/libshogun/g' | \
		sed 's/TEMPLATE/LIBSHOGUN/g' >$@;

examples:
	$(MAKE) -C../examples
	touch $@

install:  $(PARTDEPS)
	$(MAKE) -C shogun install
	+$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) install-$(part) &&) true

uninstall:
	@test -z "$(LIBDIR)" || rm -f "$(DESTDIR)$(LIBDIR)/libshogun"*
	@test -z "$(INCDIR)" || rm -rf "$(DESTDIR)$(INCDIR)/shogun"
	@test -z "$(BINDIR)" || rm -rf "$(DESTDIR)$(BINDIR)/shogun"
	@test -z "$(PYDIR)" || rm -rf "$(DESTDIR)$(PYDIR)/sg.so"
	@test -z "$(PYDIR)" || rm -rf "$(DESTDIR)$(PYDIR)/sg.dylib"
	@test -z "$(PYDIR)" || rm -rf "$(DESTDIR)$(PYDIR)/shogun"
	@test -z "$(RDIR)" || rm -rf "$(DESTDIR)$(RDIR)/shogun"
	@test -z "$(OCTDIR)" || rm -rf "$(DESTDIR)$(OCTDIR)/shogun"

tests:
	$(MAKE) check-examples
	$(MAKE) run-testsuite

run-testsuite: $(PARTDEPS)
	+$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) run-testsuite-$(part) &&) true

check-examples: $(PARTDEPS)
	$(MAKE) -C shogun check-examples
	+$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) check-examples-$(part) &&) true

doc:  $(PARTDEPS)
	+$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) doc-$(part) &&) true

distclean: clean
	$(MAKE) -C shogun distclean
	@+$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) $@ &&) true
	@rm -f .config tags
	@rm -f */Makefile interfaces/*/Makefile

clean:  $(PARTDEPS)
	$(MAKE) -C shogun clean
	@+$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) $@ &&) true
	@rm -rf configure-*.dSYM
	@rm -f configure.log .cpuinfo .cpuinfo.c ./configure-* cplex.log examples

dist:	distclean
	rm -f $(TAR).gz
	tar -cvf $(TAR) -C ../../ shogun/src && gzip -9 $(TAR)

$(PARTDEPS): Makefile.template
	@+$(foreach part, $(PARTS), cat Makefile.template | sed 's/template/$(part)/g' | \
		sed 's/TEMPLATE/$(shell echo $(part) | tr 'a-z' 'A-Z')/g' >interfaces/$(part)/Makefile; )

linecount:
	@echo -n "C/C++ source code files (.cpp,.c):"
	@cat `find ./ -type f -name '*.cpp' -o -name '*.c'`  | grep -vc '^ *$$'
	@echo -n "C/C++ header files (.h):"
	@cat `find ./ -type f -name '*.h'`  | grep -vc '^ *$$'
	@echo -n "SWIG header files (.i):"
	@cat `find ./modular -type f -name '*.i'`  | grep -vc '^ *$$'
	@echo -n "Total:"
	@(cat `find ./ -type f -name '*.cpp' -o -name '*.c' -o -name '*.h'`; cat `find ./modular -type f -o -name '*.i'`)  | grep -vc '^ *$$'

ChangeLog:
	git log --name-status --graph >$@

=== examples/undocumented/libshogun/Makefile ===
LIB_PATH=/usr/lib
INC_PATH=/usr/include

INCLUDES=
LIBS=
LIBS_ADD=-lshogun -lblas

LINKFLAGS=
CXXFLAGS=-O3 -g

LIBRARY_PATH=LD_LIBRARY_PATH
LINKFLAGS+=$(LIBS) $(LIBS_ADD) -L$(LIB_PATH) 
CXXFLAGS+=-I$(INC_PATH) $(INCLUDES)
CC=c++

TARGETS =	  basic_minimal classifier_libsvm classifier_minimal_svm \
		  classifier_mklmulticlass kernel_gaussian kernel_revlin \
		  library_dyn_int library_gc_array library_indirect_object \
		  library_hash parameter_set_from_parameters \
		  parameter_iterate_float64 parameter_iterate_sgobject \
		  parameter_modsel_parameters \
		  modelselection_parameter_combination_test \
		  modelselection_model_selection_parameters_test \
		  modelselection_parameter_tree \
		  modelselection_apply_parameter_tree \
		  modelselection_grid_search_linear features_subset_labels \
		  modelselection_grid_search_kernel \
		  modelselection_grid_search_string_kernel \
		  features_subset_simple_features \
		  features_subset_sparse_features \
		  features_copy_subset_simple_features \
		  features_copy_subset_string_features \
		  features_copy_subset_sparse_features \
		  mathematics_confidence_intervals \
		  clustering_kmeans base_parameter_map \
		  splitting_stratified_crossvalidation \
		  mathematics_arpack \
		  library_fibonacci_heap \
		  library_hashset \
		  mathematics_lapack \

all: $(TARGETS)

print_targets:
	@echo $(TARGETS)

clean:
	rm -f $(TARGETS)

$(TARGETS): $(foreach t, $(TARGET), $t.cpp)

check-examples: $(TARGETS)
	@for t in $(TARGETS) ; do echo $$t && $(LIBRARY_PATH)="$(LIB_PATH):$$$(LIBRARY_PATH)" ./$$t >/dev/null; done

%: %.cpp
	$(CC) $(CXXFLAGS) $< $(LINKFLAGS) -o $@

=== debian/changelog ===
shogun (1.0.0-1) unstable; urgency=low

  * New upstream version with major feature enhancements.
    - Add various upstream patches to fix installation
    - Rename static interface packages to shogun-interface-static
    - Create new modular interface packages for java, lua, ruby, c#
    - Install libshogun examples also for libshogun-dev package
    - Convert package to use dh_python2 (Closes: #632249).
    - Enable python packaging for multiple python versions.
    - Update copyright file to match new contributions.
    - Bump standards version to 3.9.2 (no changes required).
  * Replace doxygen and texlive-* build dependencies with
    doxygen-latex (Closes: #616279)
  * Acknowledging non-maintainer upload fixing FTBS with newer gcc's (How
    could this ever compile??!)

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 11 Oct 2011 21:04:30 +0200

=== debian/control ===
Source: shogun
Section: science
Priority: optional
Maintainer: Soeren Sonnenburg <sonne@debian.org>
Build-Depends: libatlas-base-dev [!powerpc !alpha !arm !armel !sh4] | liblapack-dev,
 debhelper (>= 5), libreadline-dev | libreadline5-dev, octave3.2-headers,
 ghostscript, python-numpy (>= 1:1.4.1-4~), cdbs (>= 0.4.90~), python-all-dev
 (>= 2.6.6-3~), r-base-core (>= 2.6.1-2), libblas-dev, swig (>= 2.0.4),
 xutils-dev, doxygen (>= 1.6.0), graphviz, texlive-latex-base, libglpk-dev,
 liblzo2-dev, zlib1g-dev, liblzma-dev, libhdf5-serial-dev (>= 1.8.3),
 libxml2-dev, libhdf5-serial-dev (>= 1.8.0), libjson0-dev, libarpack2-dev,
 openjdk-6-jdk, lua5.1, liblua5.1-0-dev, ruby1.9.1, ruby1.9.1-dev, ruby-narray,
 mono-2.0-devel (>= 2.6.0), libsnappy-dev, ant
X-Python-Version: >= 2.5
Standards-Version: 3.9.2
Homepage: http://www.shogun-toolbox.org
Vcs-Svn: http://bollin.googlecode.com/svn/shogun/trunk/
Vcs-Browser: http://bollin.googlecode.com/svn/shogun/trunk/

Package: libshogun10
Conflicts: libshogunui6, libshogunui5, libshogunui4, libshogunui3,
 libshogunui2, libshogunui1, libshogunui0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Large Scale Machine Learning Toolbox
 SHOGUN - is a new machine learning toolbox with focus on large scale kernel
 methods and especially on Support Vector Machines (SVM) with focus to
 bioinformatics. It provides a generic SVM object interfacing to several
 different SVM implementations. Each of the SVMs can be combined with a variety
 of the many kernels implemented. It can deal with weighted linear combination
 of a number of sub-kernels, each of which not necessarily working on the same
 domain, where  an optimal sub-kernel weighting can be learned using Multiple
 Kernel Learning.  Apart from SVM 2-class classification and regression
 problems, a number of linear methods like Linear Discriminant Analysis (LDA),
 Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to
 train hidden markov models are implemented. The input feature-objects can be
 dense, sparse or strings and of type int/short/double/char and can be
 converted into different feature types. Chains of preprocessors (e.g.
 substracting the mean) can be attached to each feature object allowing for
 on-the-fly pre-processing.
 .
 SHOGUN comes in different flavours, a stand-a-lone version and also with
 interfaces to Matlab(tm), R, Octave, Readline and Python. This is the core
 library with the machine learning methods and ui helpers all interfaces are
 based on.

Package: libshogun-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libshogun10 (= ${binary:Version})
Description: Large Scale Machine Learning Toolbox
 SHOGUN - is a new machine learning toolbox with focus on large scale kernel
 methods and especially on Support Vector Machines (SVM) with focus to
 bioinformatics. It provides a generic SVM object interfacing to several
 different SVM implementations. Each of the SVMs can be combined with a variety
 of the many kernels implemented. It can deal with weighted linear combination
 of a number of sub-kernels, each of which not necessarily working on the same
 domain, where  an optimal sub-kernel weighting can be learned using Multiple
 Kernel Learning.  Apart from SVM 2-class classification and regression
 problems, a number of linear methods like Linear Discriminant Analysis (LDA),
 Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to
 train hidden markov models are implemented. The input feature-objects can be
 dense, sparse or strings and of type int/short/double/char and can be
 converted into different feature types. Chains of preprocessors (e.g.
 substracting the mean) can be attached to each feature object allowing for
 on-the-fly pre-processing.
 .
 SHOGUN comes in different flavours, a stand-a-lone version and also with
 interfaces to Matlab(tm), R, Octave, Readline and Python. This package
 includes the developer files required to create stand-a-lone executables.

Package: shogun-doc-en
Conflicts: shogun-doc
Replaces: shogun-doc
Section: doc
Architecture: all
Recommends: shogun-python-modular, libshogun-dev
Depends: ${misc:Depends}
Description: Large Scale Machine Learning Toolbox
 SHOGUN - is a new machine learning toolbox with focus on large scale kernel
 methods and especially on Support Vector Machines (SVM) with focus to
 bioinformatics. It provides a generic SVM object interfacing to several
 different SVM implementations. Each of the SVMs can be combined with a variety
 of the many kernels implemented. It can deal with weighted linear combination
 of a number of sub-kernels, each of which not necessarily working on the same
 domain, where  an optimal sub-kernel weighting can be learned using Multiple
 Kernel Learning.  Apart from SVM 2-class classification and regression
 problems, a number of linear methods like Linear Discriminant Analysis (LDA),
 Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to
 train hidden markov models are implemented. The input feature-objects can be
 dense, sparse or strings and of type int/short/double/char and can be
 converted into different feature types. Chains of preprocessors (e.g.
 substracting the mean) can be attached to each feature object allowing for
 on-the-fly pre-processing.
 .
 SHOGUN comes in different flavours, a stand-a-lone version and also with
 interfaces to Matlab(tm), R, Octave, Readline and Python. This is the English
 user and developer documentation.

Package: shogun-doc-cn
Section: doc
Architecture: all
Recommends: shogun-python-modular, libshogun-dev
Depends: ${misc:Depends}
Description: Large Scale Machine Learning Toolbox
 SHOGUN - is a new machine learning toolbox with focus on large scale kernel
 methods and especially on Support Vector Machines (SVM) with focus to
 bioinformatics. It provides a generic SVM object interfacing to several
 different SVM implementations. Each of the SVMs can be combined with a variety
 of the many kernels implemented. It can deal with weighted linear combination
 of a number of sub-kernels, each of which not necessarily working on the same
 domain, where  an optimal sub-kernel weighting can be learned using Multiple
 Kernel Learning.  Apart from SVM 2-class classification and regression
 problems, a number of linear methods like Linear Discriminant Analysis (LDA),
 Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to
 train hidden markov models are implemented. The input feature-objects can be
 dense, sparse or strings and of type int/short/double/char and can be
 converted into different feature types. Chains of preprocessors (e.g.
 substracting the mean) can be attached to each feature object allowing for
 on-the-fly pre-processing.
 .
 SHOGUN comes in different flavours, a stand-a-lone version and also with
 interfaces to Matlab(tm), R, Octave, Readline and Python. This is the 
 Chinese user and developer documentation.

Package: shogun-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libshogun10 (= ${binary:Version})
Description: Large Scale Machine Learning Toolbox
 SHOGUN - is a new machine learning toolbox with focus on large scale kernel
 methods and especially on Support Vector Machines (SVM) with focus to
 bioinformatics. It provides a generic SVM object interfacing to several
 different SVM implementations. Each of the SVMs can be combined with a variety
 of the many kernels implemented. It can deal with weighted linear combination
 of a number of sub-kernels, each of which not necessarily working on the same
 domain, where  an optimal sub-kernel weighting can be learned using Multiple
 Kernel Learning.  Apart from SVM 2-class classification and regression
 problems, a number of linear methods like Linear Discriminant Analysis (LDA),
 Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to
 train hidden markov models are implemented. The input feature-objects can be
 dense, sparse or strings and of type int/short/double/char and can be
 converted into different feature types. Chains of preprocessors (e.g.
 substracting the mean) can be attached to each feature object allowing for
 on-the-fly pre-processing.
 .
 SHOGUN comes in different flavours, a stand-a-lone version and also with
 interfaces to Matlab(tm), R, Octave, Readline and Python. This package
 contains debug symbols for all interfaces.

Package: shogun-python-modular
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 libshogun10 (= ${binary:Version})
Recommends: python-matplotlib, python-scipy
Provides: ${python:Provides}
Description: Large Scale Machine Learning Toolbox
 SHOGUN - is a new machine learning toolbox with focus on large scale kernel
 methods and especially on Support Vector Machines (SVM) with focus to
 bioinformatics. It provides a generic SVM object interfacing to several
 different SVM implementations. Each of the SVMs can be combined with a variety
 of the many kernels implemented. It can deal with weighted linear combination
 of a number of sub-kernels, each of which not necessarily working on the same
 domain, where  an optimal sub-kernel weighting can be learned using Multiple
 Kernel Learning.  Apart from SVM 2-class classification and regression
 problems, a number of linear methods like Linear Discriminant Analysis (LDA),
 Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to
 train hidden markov models are implemented. The input feature-objects can be
 dense, sparse or strings and of type int/short/double/char and can be
 converted into different feature types. Chains of preprocessors (e.g.
 substracting the mean) can be attached to each feature object allowing for
 on-the-fly pre-processing.
 .
 SHOGUN comes in different flavours, a stand-a-lone version and also with
 interfaces to Matlab(tm), R, Octave, Readline and Python. This is the modular
 Python package employing swig.

Package: shogun-lua-modular
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${lua:Depends},
 libshogun10 (= ${binary:Version})
Provides: ${lua:Provides}
Description: Large Scale Machine Learning Toolbox
 SHOGUN - is a new machine learning toolbox with focus on large scale kernel
 methods and especially on Support Vector Machines (SVM) with focus to
 bioinformatics. It provides a generic SVM object interfacing to several
 different SVM implementations. Each of the SVMs can be combined with a variety
 of the many kernels implemented. It can deal with weighted linear combination
 of a number of sub-kernels, each of which not necessarily working on the same
 domain, where  an optimal sub-kernel weighting can be learned using Multiple
 Kernel Learning.  Apart from SVM 2-class classification and regression
 problems, a number of linear methods like Linear Discriminant Analysis (LDA),
 Linear Programming Machine (LPM), (Kernel) Perceptrons and also algorithms to
 train hidden markov models are implemented. The input feature-objects can be
 dense, sparse or strings and of type int/short/double/char and can be
 converted into different feature types. Chains of preprocessors (e.g.
 substracting the mean) can be attached to each feature object allowing for
 on-the-fly pre-processing.
 .
 SHOGUN comes in different flavours, a stand-a-lone version and also with
 interfaces to Matlab(tm), R, Octave, Readline and Python. This is the modular
 lua package employing swig.

Package: shogun-ruby-modular
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ruby:Depends},
 libshogun10 (= ${binary:Version})
Provides: ${ruby:Provides}
Description: Large Scale Machine Learning Toolbox
 SHOGUN - is a new machine learning toolbox with focus on large scale kernel
 methods and especially on Support Vector Machines (SVM) with focus to
 bioinformatics. It provides a generic SVM object interfacing to several

=== debian/rules ===
#!/usr/bin/make -f

SHELL					:= /bin/bash
DEB_SHLIBDEPS_INCLUDE	:= $(shell octave-config -p OCTLIBDIR) /usr/lib/atlas \
						$(CURDIR)/src/shogun $(CURDIR)/debian/libshogun10/usr/lib
DEB_COMPRESS_EXCLUDE	:= .py .html .R .m .sg .lua .rb .cs .java
R_LIBRARY_DIR			:= /usr/lib/R/site-library
LIBSHOGUN				:= libshogun10
PYINTERFACES			:= python_modular python_static 
INTERFACES				:= lua_modular ruby_modular java_modular \
	csharp_modular octave_modular cmdline_static octave_static \
	r_static elwms_static
DEB_PYTHON2_MODULE_PACKAGES := shogun-python-static shogun-python-modular

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/octave/debian/defs.make

PYVER		= $(shell pyversions -vr debian/control)
PYSTEST		= $(MAKE) -C shogun-python_static-$(pyver)/interfaces/python_static tests \
			DESTDIR=$(CURDIR)/debian/shogun-python-modular;
PYMTEST		= $(MAKE) -C shogun-python_modular-$(pyver)/interfaces/python_modular tests \
			DESTDIR=$(CURDIR)/debian/shogun-python-modular;
PYSINSTALL	= $(MAKE) -C shogun-python_static-$(pyver)/interfaces/python_static install \
			DESTDIR=$(CURDIR)/debian/shogun-python-static; \
			rm -rf $(CURDIR)/debian/shogun-python-static/usr/include; \
			rm -rf $(CURDIR)/debian/shogun-python-static/usr/lib/lib*.*;
PYMINSTALL	= $(MAKE) -C shogun-python_modular-$(pyver)/interfaces/python_modular install \
			DESTDIR=$(CURDIR)/debian/shogun-python-modular; \
			rm -rf $(CURDIR)/debian/shogun-python-modular/usr/include; \
			rm -rf $(CURDIR)/debian/shogun-python-modular/usr/lib/lib*.*;

CONFIGURE_OPTIONS= --disable-cpudetection --prefix=/usr \
		--enable-glpk --enable-readline --disable-svm-light \
		--enable-hdf5 --enable-json --enable-xml --enable-snappy \
		--enable-lzo --enable-gzip --enable-bzip2 --enable-lzma 

common-configure-arch:: debian/stamp-configure
common-configure-indep:: debian/stamp-configure

# configure
configure:: debian/stamp-configure
debian/stamp-configure:
	# create copies for each interface / python version
	set -x; $(foreach IF, $(INTERFACES), \
		cp -a src shogun-$(IF);)
	set -x; $(foreach pyver, $(PYVER), \
		for IF in $(PYINTERFACES); do cp -a src shogun-$${IF}-$(pyver); done; )
	# configure
	set -x; $(foreach IF, $(INTERFACES), \
		(cd shogun-$(IF) && ./configure $(CONFIGURE_OPTIONS) --interfaces=$(IF)) ;)
	set -x; $(foreach pyver, $(PYVER), (for IF in $(PYINTERFACES); \
		do ( cd shogun-$${IF}-$(pyver) && ./configure $(CONFIGURE_OPTIONS) --python=python$(pyver) --interfaces=$${IF}); done); )
	cd src; ./configure $(CONFIGURE_OPTIONS) --interfaces=
	cd shogun-elwms_static; ./configure $(CONFIGURE_OPTIONS) --interfaces=elwms_static,python_static,r_static,octave_static
	touch $@

common-build-arch:: configure debian/stamp-build-arch
debian/stamp-build-arch:
	$(MAKE) -C src
	set -x; $(foreach IF, $(INTERFACES), $(MAKE) -C shogun-$(IF);)
	set -x; $(foreach pyver, $(PYVER), (for IF in $(PYINTERFACES); \
		do $(MAKE) -C shogun-$${IF}-$(pyver); done);)
	touch $@

install/shogun-doc-en:: debian/stamp-install-doc-en
debian/stamp-install-doc-en:
	$(MAKE) -C doc doc
	$(RM) doc/html/*.map
	$(RM) doc/html/*.md5
	$(RM) doc/html/installdox
	$(RM) doc/html/formula.repository
	mkdir -p $(CURDIR)/debian/shogun-doc-en/usr/share/doc/shogun-doc-en
	cp -r doc/html $(CURDIR)/debian/shogun-doc-en/usr/share/doc/shogun-doc-en/
	touch $@

install/shogun-doc-cn:: debian/stamp-install-doc-cn
debian/stamp-install-doc-cn:
	$(MAKE) -C doc doc
	$(RM) doc/html_cn/*.map
	$(RM) doc/html_cn/*.md5
	$(RM) doc/html_cn/installdox
	$(RM) doc/html_cn/formula.repository
	mkdir -p $(CURDIR)/debian/shogun-doc-cn/usr/share/doc/shogun-doc-cn
	cp -r doc/html_cn $(CURDIR)/debian/shogun-doc-cn/usr/share/doc/shogun-doc-cn/html
	touch $@

#libshogun
install/$(LIBSHOGUN):: debian/stamp-install-$(LIBSHOGUN)
debian/stamp-install-$(LIBSHOGUN):
	mkdir -p $(CURDIR)/debian/$(LIBSHOGUN)
	$(MAKE) -C src/shogun install \
		DESTDIR=$(CURDIR)/debian/$(LIBSHOGUN) 
	cp -p src/shogun/*.so.* $(CURDIR)/debian/$(LIBSHOGUN)/usr/lib
	$(RM) -r $(CURDIR)/debian/$(LIBSHOGUN)/usr/include
	$(RM) $(CURDIR)/debian/$(LIBSHOGUN)/usr/lib/libshogun.so
	$(RM) $(CURDIR)/debian/$(LIBSHOGUN)/usr/lib/libshogun.a
	touch $@

#libshogun-dev
install/libshogun-dev:: debian/stamp-install-libshogun-dev
debian/stamp-install-libshogun-dev:
	mkdir -p $(CURDIR)/debian/libshogun-dev
	$(MAKE) -C src/shogun install \
		DESTDIR=$(CURDIR)/debian/libshogun-dev
	$(RM) -r $(CURDIR)/debian/libshogun-dev/usr/include/shogun/ui
	$(RM) $(CURDIR)/debian/libshogun-dev/usr/lib/libshogun.so.*
	touch $@

# octave-modular
install/shogun-octave-modular:: debian/stamp-install-octave-modular
debian/stamp-install-octave-modular:
	$(MAKE) -C shogun-octave_modular/interfaces/octave_modular install \
		DESTDIR=$(CURDIR)/debian/shogun-octave-modular 
	octave-depends
	#$(MAKE) -C build-octave-modular tests \
		DESTDIR=$(CURDIR)/debian/shogun-octave-modular
	touch $@

# csharp-modular
install/shogun-csharp-modular:: debian/stamp-install-csharp-modular
debian/stamp-install-csharp-modular:
	$(MAKE) -C shogun-csharp_modular/interfaces/csharp_modular install \
		DESTDIR=$(CURDIR)/debian/shogun-csharp-modular 
	touch $@

# java-modular
install/shogun-java-modular:: debian/stamp-install-java-modular
debian/stamp-install-java-modular:
	$(MAKE) -C shogun-java_modular/interfaces/java_modular install \
		DESTDIR=$(CURDIR)/debian/shogun-java-modular 
	touch $@

# ruby-modular
install/shogun-lua-modular:: debian/stamp-install-ruby-modular
debian/stamp-install-ruby-modular:
	$(MAKE) -C shogun-ruby_modular/interfaces/ruby_modular install \
		DESTDIR=$(CURDIR)/debian/shogun-ruby-modular 
	touch $@

# lua-modular
install/shogun-lua-modular:: debian/stamp-install-lua-modular
debian/stamp-install-lua-modular:
	$(MAKE) -C shogun-lua_modular/interfaces/lua_modular install \
		DESTDIR=$(CURDIR)/debian/shogun-lua-modular 
	touch $@

# python-modular
install/shogun-python-modular:: debian/stamp-install-python-modular
debian/stamp-install-python-modular: modular=-modular
debian/stamp-install-python-modular:
	set -x; $(foreach pyver, $(PYVER), $(PYMINSTALL))
	#set -x; $(foreach pyver, $(PYVER), $(PYTEST))
	dh_python2 -pshogun-python-modular
	dh_numpy
	touch $@

#cmdline-static
install/shogun-cmdline-static:: debian/stamp-install-cmdline-static
debian/stamp-install-cmdline-static:
	mkdir -p $(CURDIR)/debian/shogun-cmdline-static
	$(MAKE) -C shogun-cmdline_static/interfaces/cmdline_static install \
		DESTDIR=$(CURDIR)/debian/shogun-cmdline-static
	touch $@

#octave-static
install/shogun-octave-static:: debian/stamp-install-octave-static
debian/stamp-install-octave-static:
	dh_install -pshogun-octave-static shogun-octave_static/interfaces/octave_static/sg.oct $(OCTDIR)
	octave-depends
	#$(MAKE) -C build-octave tests DESTDIR=$(CURDIR)/debian/shogun-octave-static
	touch $@


# python-static
install/shogun-python-static:: debian/stamp-install-python-static
debian/stamp-install-python-static: modular=
debian/stamp-install-python-static:
	set -x; $(foreach pyver, $(PYVER), $(PYSINSTALL))
	#set -x; $(foreach pyver, $(PYVER), $(PYTEST))
	dh_python2 -pshogun-python-static
	dh_numpy
	touch $@

# elwms-static
install/shogun-elwms-static:: debian/stamp-install-elwms-static
debian/stamp-install-elwms-static:
	$(MAKE) DESTDIR=$(CURDIR)/debian/shogun-elwms-static RDIR=/usr/lib/R/site-library -C shogun-elwms_static/interfaces/elwms_static install 
	dh_python2 -pshogun-elwms-static --no-guessing-versions
	dh_numpy
	octave-depends
	touch $@

# r-static
install/shogun-r-static:: debian/stamp-install-r-static
debian/stamp-install-r-static:
	$(MAKE) -C shogun-r_static/interfaces/r_static install \
			DESTDIR=$(CURDIR)/debian/shogun-r-static \
			RDIR=/usr/lib/R/site-library
	#$(MAKE) -C shogun-r_static tests \
			DESTDIR=$(CURDIR)/debian/shogun-r-static \
			RDIR=/usr/lib/R/site-library;
	touch $@

binary-post-install/shogun-dbg:: debian/stamp-post-install-shogun-dbg
debian/stamp-post-install-shogun-dbg:

## shogun 1.1.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,9 @@
 #
 #       make prepare-release
 #       make git-tag-release  
-#       (cd shogun-releases/shogun_X.Y.Z ; make release ; make update-webpage)
+#       make release
+#       make data-release
+#       make update-webpage
 #
 # * To create a debian .orig.tar.gz run
 #
@@ -17,6 +19,10 @@
 # * To sign/md5sum the created tarballs and copy them to the webpage
 #
 #       make update-webpage
+#
+# * To make a release from inside a tarball
+#
+#       make package-from-release
 #
 #
 # The following additional options may be set
@@ -86,7 +92,7 @@
 
 .PHONY: all release package-from-release update-webpage clean distclean embed-main-version
 
-DATADESTDIR := ../$(DATARELEASENAME)
+DATADESTDIR := ../shogun-releases/$(DATARELEASENAME)
 DESTDIR := ../$(RELEASENAME)
 REMOVE_SVMLIGHT := rm -f $(DESTDIR)/src/shogun/classifier/svm/SVM_light.* $(DESTDIR)/src/shogun/classifier/svm/Optimizer.* $(DESTDIR)/src/shogun/regression/svr/SVR_light.* $(DESTDIR)/src/LICENSE.SVMlight; \
 rm -f $(DESTDIR)/testsuite/data/classifier/SVMLight* $(DESTDIR)/testsuite/data/regression/SVRLight*	; \

=== doc/Makefile ===
.PHONY: doc clean distclean
EXAMPLE_FILES = $(shell find ../examples -name '*.py' -o -name '*.m' -o -name\
				'*.R' -o -name '*.cs' -o -name '*.java' -o -name '*.lua' -o \
				-name '*.rb' -type f)
UNDOCUMENTED_EXAMPLE_DIRS = $(shell find ../examples/undocumented -type d | \
							grep -v svn)
DOCUMENTED_EXAMPLE_DIRS = $(patsubst ../examples/undocumented%,../examples/documented%,\
						  $(UNDOCUMENTED_EXAMPLE_DIRS))
MAINVERSION := $(shell awk '/Release/{print $$5;exit}' ../src/NEWS)


doc: examples pages/Configure.generated
	sed -i "s/PROJECT_NUMBER         = .*/PROJECT_NUMBER         = v$(MAINVERSION)/" Doxyfile
	sed -i "s/PROJECT_NUMBER         = .*/PROJECT_NUMBER         = v$(MAINVERSION)/" Doxyfile_cn
	doxygen Doxyfile
	doxygen Doxyfile_cn

pages/Configure.generated:	../src/configure
	../src/configure --help 2>&1 >$@

doc_cn: examples_cn
	doxygen Doxyfile_cn

examples: $(UNDOCUMENTED_EXAMPLE_DIRS) $(EXAMPLE_FILES)
	$(MAKE) -C ../examples
	echo $(DOCUMENTED_EXAMPLE_DIRS)
	python ./insert_examples.py pages/
	python ./insert_examples_cn.py pages_cn/

distclean: clean

clean: 
	rm -rf html html_cn
	rm -f pages/Configure.generated

put-online: doc
	test -n "$(MAINVERSION)"
	ssh km rm -rf "/var/www/shogun-toolbox.org/doc/en/$(MAINVERSION)"
	ssh km mkdir "/var/www/shogun-toolbox.org/doc/en/$(MAINVERSION)"
	cd html && tar --exclude='*.map' --exclude='*.md5' -cjf - . | ssh km tar -C /var/www/shogun-toolbox.org/doc/en/$(MAINVERSION) -xjvf -
	ssh km find /var/www/shogun-toolbox.org/doc/en/$(MAINVERSION) -type f -exec chmod 644 \{\} "\;"
	ssh km find /var/www/shogun-toolbox.org/doc/en/$(MAINVERSION) -type d -exec chmod 755 \{\} "\;"
	#
	ssh km rm -rf "/var/www/shogun-toolbox.org/doc/cn/$(MAINVERSION)"
	ssh km mkdir "/var/www/shogun-toolbox.org/doc/cn/$(MAINVERSION)"
	cd html_cn && tar --exclude='*.map' --exclude='*.md5' -cjf - . | ssh km tar -C /var/www/shogun-toolbox.org/doc/cn/$(MAINVERSION) -xjvf -
	ssh km find /var/www/shogun-toolbox.org/doc/cn/$(MAINVERSION) -type f -exec chmod 644 \{\} "\;"
	ssh km find /var/www/shogun-toolbox.org/doc/cn/$(MAINVERSION) -type d -exec chmod 755 \{\} "\;"

=== examples/Makefile ===
.PHONY: examples

examples:
	bash ./generate_documented.sh

distclean: clean

clean: 
	(cd documented && rm -rf cmdline_static elwms_static libshogun matlab_and_octave \
		octave_modular python_static python_modular r_static r_modular csharp_modular \
		lua_modular ruby_modular java_modular )
	$(MAKE) -C undocumented/libshogun clean
	rm -f missing.log undocumented/*/*.txt

=== src/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	@echo ==== opts: $(COMPFLAGS_CPP)
 	@echo ============================================================
 	@echo 
-	@+$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) $@ &&) true
+	$(foreach part, $(PARTS), $(MAKE) -C interfaces/$(part) $@ &&) true
 	@echo 
 	@echo ============================================================
 	@echo ==== Done. Check the subdirectories for binaries.
@@ -100,9 +100,9 @@
 	@echo -n "C/C++ header files (.h):"
 	@cat `find ./ -type f -name '*.h'`  | grep -vc '^ *$$'
 	@echo -n "SWIG header files (.i):"
-	@cat `find ./modular -type f -name '*.i'`  | grep -vc '^ *$$'
+	@cat `find ./interfaces -type f -name '*.i'`  | grep -vc '^ *$$'
 	@echo -n "Total:"
-	@(cat `find ./ -type f -name '*.cpp' -o -name '*.c' -o -name '*.h'`; cat `find ./modular -type f -o -name '*.i'`)  | grep -vc '^ *$$'
+	@(cat `find ./ -type f -name '*.cpp' -o -name '*.c' -o -name '*.h'`; cat `find ./interfaces -type f -o -name '*.i'`)  | grep -vc '^ *$$'
 
 ChangeLog:
 	git log --name-status --graph >$@

=== applications/sailfish/Makefile ===
CXXFLAGS=-O9 -g $(INCLUDES)
LINKFLAGS=-lshogun
TARGETS = sailfish

all: $(TARGETS)

clean:
	rm -f $(TARGETS)

$(TARGETS): $(foreach t, $(TARGET), $t.cpp)

%: %.cpp
	gcc $(CXXFLAGS) $< $(LINKFLAGS) -lshogun -o $@

=== applications/vw/Makefile ===
CXXFLAGS=-O9 -g $(INCLUDES)
LINKFLAGS=-lshogun
TARGETS = vw

all: $(TARGETS)

clean:
	rm -f $(TARGETS)

$(TARGETS): $(foreach t, $(TARGET), $t.cpp)

%: %.cpp
	gcc $(CXXFLAGS) $< $(LINKFLAGS) -lshogun -o $@

=== examples/undocumented/libshogun/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 INCLUDES=
 LIBS=
-LIBS_ADD=-lshogun -lblas
+LIBS_ADD=-lshogun
 
 LINKFLAGS=
 CXXFLAGS=-O3 -g
@@ -38,6 +38,18 @@
 		  library_fibonacci_heap \
 		  library_hashset \
 		  mathematics_lapack \
+		  converter_locallylinearembedding \
+		  converter_localtangentspacealignment \
+		  converter_hessianlocallylinearembedding \
+		  converter_kernellocallylinearembedding \
+		  converter_kernellocaltangentspacealignment \
+		  converter_multidimensionalscaling \
+		  converter_isomap \
+		  converter_diffusionmaps \
+		  converter_laplacianeigenmaps \
+		  converter_neighborhoodpreservingembedding \
+		  converter_linearlocaltangentspacealignment \
+		  converter_localitypreservingprojections \
 
 all: $(TARGETS)

=== debian/changelog ===
shogun (1.1.0-4ubuntu6) quantal; urgency=low

  * Use the default jdk for the build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2012 13:50:25 +0200

shogun (1.1.0-4ubuntu5) quantal; urgency=low

  * Don't build using clang, ftbfs on powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Sep 2012 20:39:29 +0200

shogun (1.1.0-4ubuntu4) quantal; urgency=low

  * Add libatlas-dev as dependency of libshogun-dev (LP: #1006039).

 -- Paolo Rotolo <paolorotolo@ubuntu-it.org>  Tue, 29 May 2012 20:13:29 +0100

shogun (1.1.0-4ubuntu3) quantal; urgency=low

  * No change rebuild for libhdf5-7

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 20 May 2012 16:46:29 -0500

shogun (1.1.0-4ubuntu2) precise; urgency=low

  * Rebuild against numpy 1.6

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 16 Feb 2012 20:08:45 +0100

shogun (1.1.0-4ubuntu1) precise; urgency=low

  * Merges from Debian unstable (LP: #914523).
  * New patch fix-ftbfs-as-needed.patch: Fix FTBFS with
    ld --as-needed in Makefile (closes: #657434)
  * Drop changes:
    - Build-depend on doxygen-latex, now in debian
    - Build for python2.7, debian has set X-Python-Version: >= 2.5

 -- Leo Iannacone <l3on@ubuntu.com>  Wed, 25 Jan 2012 23:20:58 +0100

shogun (1.1.0-4) unstable; urgency=low

  [ Jo Shields ]
  * debian/rules:
    + Include workaround for CDBS throwing away vital packaging data
      required by dh_clideps to resolve dependencies.
  * debian/control:
    + Scrap unneeded manual dependencies on libmono-corlib4.0-cil and 
      libshogun11 (Closes: #657096).

  [ Soeren Sonnenburg ]
  * Build depend on libhdf5-dev (>= 1.8.8~) | libhdf5-serial-dev instead of
  just libhdf5-dev.
  * Temporarily drop octave build dependencies from debian/control.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 24 Jan 2012 17:05:48 +0100

shogun (1.1.0-3) unstable; urgency=low

  * Make csharp package depend on libmono-corlib4.0-cil; remove csharp:Depends
  or csharp:Provides and use cli:Depends in debian/control (Closes: #656757).

 -- Soeren Sonnenburg <sonne@debian.org>  Mon, 23 Jan 2012 09:05:31 +0100

shogun (1.1.0-2) unstable; urgency=low

  * Build depend on libhdf5-dev instead of libhdf5-serial-dev to accommodate
  hdf5 transition.
  * Build depend on mono-devel and cli-common-dev instead of mono2.0-devel and
  use include cli.make in debian rules. (Closes: #656757).
  * Use dmcs instead of gmcs (Closes: #656756).

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 22 Jan 2012 19:26:12 +0100

shogun (1.1.0-1) unstable; urgency=low

  * New upstream version with major feature enhancements.
   - This fixes liblzma5 transition (Closes: #647753)
   - Require clang to compile package as gcc/g++ require >3GB to compile the
   package (Closes: #645249).
   - Remove patches integrated upstream.
   - Since octave is failing to compile with clang - temporarily disable
   shogun's octave interface.
  * Really replace doxygen and texlive-* build dependencies with
    doxygen-latex (Closes: #616279).

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 14 Dec 2011 10:04:55 +0100

shogun (0.10.0-2.1ubuntu1) oneiric; urgency=low

  * Build for python2.7.
  * Build-depend on doxygen-latex.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Sep 2011 13:07:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: shogun
 Section: science
 Priority: optional
-Maintainer: Soeren Sonnenburg <sonne@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Soeren Sonnenburg <sonne@debian.org>
 Build-Depends: libatlas-base-dev [!powerpc !alpha !arm !armel !sh4] | liblapack-dev,
- debhelper (>= 5), libreadline-dev | libreadline5-dev, octave3.2-headers,
+ debhelper (>= 5), libreadline-dev | libreadline5-dev,
  ghostscript, python-numpy (>= 1:1.4.1-4~), cdbs (>= 0.4.90~), python-all-dev
  (>= 2.6.6-3~), r-base-core (>= 2.6.1-2), libblas-dev, swig (>= 2.0.4),
- xutils-dev, doxygen (>= 1.6.0), graphviz, texlive-latex-base, libglpk-dev,
- liblzo2-dev, zlib1g-dev, liblzma-dev, libhdf5-serial-dev (>= 1.8.3),
- libxml2-dev, libhdf5-serial-dev (>= 1.8.0), libjson0-dev, libarpack2-dev,
- openjdk-6-jdk, lua5.1, liblua5.1-0-dev, ruby1.9.1, ruby1.9.1-dev, ruby-narray,
- mono-2.0-devel (>= 2.6.0), libsnappy-dev, ant
+ xutils-dev, doxygen-latex, graphviz, libglpk-dev, liblzo2-dev, zlib1g-dev,
+ liblzma-dev, libxml2-dev, libjson0-dev, libarpack2-dev, default-jdk,
+ lua5.1, liblua5.1-0-dev, ruby1.9.1, ruby1.9.1-dev, ruby-narray, mono-devel,
+ libsnappy-dev, ant, cli-common-dev (>= 0.7), libhdf5-dev (>= 1.8.8~) |
+ libhdf5-serial-dev
+# octave3.2-headers,
 X-Python-Version: >= 2.5
 Standards-Version: 3.9.2
 Homepage: http://www.shogun-toolbox.org
 Vcs-Svn: http://bollin.googlecode.com/svn/shogun/trunk/
 Vcs-Browser: http://bollin.googlecode.com/svn/shogun/trunk/
 
-Package: libshogun10
+Package: libshogun11
 Conflicts: libshogunui6, libshogunui5, libshogunui4, libshogunui3,
  libshogunui2, libshogunui1, libshogunui0
 Architecture: any
@@ -48,7 +50,7 @@
 Package: libshogun-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libshogun10 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libshogun11 (= ${binary:Version}), libatlas-base-dev
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
  methods and especially on Support Vector Machines (SVM) with focus to
@@ -128,7 +130,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libshogun10 (= ${binary:Version})
+Depends: ${misc:Depends}, libshogun11 (= ${binary:Version})
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
  methods and especially on Support Vector Machines (SVM) with focus to
@@ -153,7 +155,7 @@
 Package: shogun-python-modular
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- libshogun10 (= ${binary:Version})
+ libshogun11 (= ${binary:Version})
 Recommends: python-matplotlib, python-scipy
 Provides: ${python:Provides}
 Description: Large Scale Machine Learning Toolbox
@@ -180,7 +182,7 @@
 Package: shogun-lua-modular
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${lua:Depends},
- libshogun10 (= ${binary:Version})
+ libshogun11 (= ${binary:Version})
 Provides: ${lua:Provides}
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
@@ -206,9 +208,8 @@
 Package: shogun-ruby-modular
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${ruby:Depends},
- libshogun10 (= ${binary:Version})
+ libshogun11 (= ${binary:Version})
 Provides: ${ruby:Provides}
 Description: Large Scale Machine Learning Toolbox
  SHOGUN - is a new machine learning toolbox with focus on large scale kernel
  methods and especially on Support Vector Machines (SVM) with focus to
- bioinformatics. It provides a generic SVM object interfacing to several

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,22 @@
 #!/usr/bin/make -f
 
 SHELL					:= /bin/bash
-DEB_SHLIBDEPS_INCLUDE	:= $(shell octave-config -p OCTLIBDIR) /usr/lib/atlas \
-						$(CURDIR)/src/shogun $(CURDIR)/debian/libshogun10/usr/lib
+#DEB_SHLIBDEPS_INCLUDE	:= $(shell octave-config -p OCTLIBDIR) /usr/lib/atlas \
+#						$(CURDIR)/src/shogun $(CURDIR)/debian/libshogun11/usr/lib
+DEB_SHLIBDEPS_INCLUDE	:= /usr/lib/atlas \
+						$(CURDIR)/src/shogun $(CURDIR)/debian/libshogun11/usr/lib
 DEB_COMPRESS_EXCLUDE	:= .py .html .R .m .sg .lua .rb .cs .java
 R_LIBRARY_DIR			:= /usr/lib/R/site-library
-LIBSHOGUN				:= libshogun10
+LIBSHOGUN				:= libshogun11
 PYINTERFACES			:= python_modular python_static 
 INTERFACES				:= lua_modular ruby_modular java_modular \
-	csharp_modular octave_modular cmdline_static octave_static \
+	csharp_modular cmdline_static \
 	r_static elwms_static
+#csharp_modular octave_modular cmdline_static octave_static
 DEB_PYTHON2_MODULE_PACKAGES := shogun-python-static shogun-python-modular
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/octave/debian/defs.make
+#include /usr/share/octave/debian/defs.make
 
 PYVER		= $(shell pyversions -vr debian/control)
 PYSTEST		= $(MAKE) -C shogun-python_static-$(pyver)/interfaces/python_static tests \
@@ -32,7 +35,9 @@
 CONFIGURE_OPTIONS= --disable-cpudetection --prefix=/usr \
 		--enable-glpk --enable-readline --disable-svm-light \
 		--enable-hdf5 --enable-json --enable-xml --enable-snappy \
-		--enable-lzo --enable-gzip --enable-bzip2 --enable-lzma 
+		--enable-lzo --enable-gzip --enable-bzip2 --enable-lzma \
+
+#		--cc=clang --cxx=clang++
 
 common-configure-arch:: debian/stamp-configure
 common-configure-indep:: debian/stamp-configure
@@ -51,7 +56,8 @@
 	set -x; $(foreach pyver, $(PYVER), (for IF in $(PYINTERFACES); \
 		do ( cd shogun-$${IF}-$(pyver) && ./configure $(CONFIGURE_OPTIONS) --python=python$(pyver) --interfaces=$${IF}); done); )
 	cd src; ./configure $(CONFIGURE_OPTIONS) --interfaces=
-	cd shogun-elwms_static; ./configure $(CONFIGURE_OPTIONS) --interfaces=elwms_static,python_static,r_static,octave_static
+	cd shogun-elwms_static; ./configure $(CONFIGURE_OPTIONS) --interfaces=elwms_static,python_static,r_static
+	#cd shogun-elwms_static; ./configure $(CONFIGURE_OPTIONS) --interfaces=elwms_static,python_static,r_static,octave_static
 	touch $@
 
 common-build-arch:: configure debian/stamp-build-arch
@@ -106,22 +112,27 @@
 	$(RM) $(CURDIR)/debian/libshogun-dev/usr/lib/libshogun.so.*
 	touch $@
 
-# octave-modular
-install/shogun-octave-modular:: debian/stamp-install-octave-modular
-debian/stamp-install-octave-modular:
-	$(MAKE) -C shogun-octave_modular/interfaces/octave_modular install \
-		DESTDIR=$(CURDIR)/debian/shogun-octave-modular 
-	octave-depends
-	#$(MAKE) -C build-octave-modular tests \
-		DESTDIR=$(CURDIR)/debian/shogun-octave-modular
-	touch $@
+## octave-modular
+#install/shogun-octave-modular:: debian/stamp-install-octave-modular
+#debian/stamp-install-octave-modular:
+#	$(MAKE) -C shogun-octave_modular/interfaces/octave_modular install \
+#		DESTDIR=$(CURDIR)/debian/shogun-octave-modular 
+#	octave-depends
+#	#$(MAKE) -C build-octave-modular tests \
+#		DESTDIR=$(CURDIR)/debian/shogun-octave-modular
+#	touch $@
 
 # csharp-modular
 install/shogun-csharp-modular:: debian/stamp-install-csharp-modular
 debian/stamp-install-csharp-modular:
 	$(MAKE) -C shogun-csharp_modular/interfaces/csharp_modular install \
 		DESTDIR=$(CURDIR)/debian/shogun-csharp-modular 
-	touch $@
+	#dh_makeclilibs -a -V
+	#dh_installcligac -a
+	touch $@
+
+binary-predeb/shogun-csharp-modular:: binary-fixup/$(LIBSHOGUN)
+	dh_clideps -pshogun-csharp-modular
 
 # java-modular
 install/shogun-java-modular:: debian/stamp-install-java-modular
@@ -162,13 +173,13 @@
 		DESTDIR=$(CURDIR)/debian/shogun-cmdline-static
 	touch $@
 
-#octave-static
-install/shogun-octave-static:: debian/stamp-install-octave-static
-debian/stamp-install-octave-static:
-	dh_install -pshogun-octave-static shogun-octave_static/interfaces/octave_static/sg.oct $(OCTDIR)
-	octave-depends
-	#$(MAKE) -C build-octave tests DESTDIR=$(CURDIR)/debian/shogun-octave-static
-	touch $@
+##octave-static
+#install/shogun-octave-static:: debian/stamp-install-octave-static
+#debian/stamp-install-octave-static:
+#	dh_install -pshogun-octave-static shogun-octave_static/interfaces/octave_static/sg.oct $(OCTDIR)
+#	octave-depends
+#	#$(MAKE) -C build-octave tests DESTDIR=$(CURDIR)/debian/shogun-octave-static
+#	touch $@
 
 
 # python-static
@@ -187,19 +198,8 @@
 	$(MAKE) DESTDIR=$(CURDIR)/debian/shogun-elwms-static RDIR=/usr/lib/R/site-library -C shogun-elwms_static/interfaces/elwms_static install 
 	dh_python2 -pshogun-elwms-static --no-guessing-versions
 	dh_numpy
-	octave-depends
+	#octave-depends
 	touch $@
 
 # r-static
 install/shogun-r-static:: debian/stamp-install-r-static
-debian/stamp-install-r-static:
-	$(MAKE) -C shogun-r_static/interfaces/r_static install \
-			DESTDIR=$(CURDIR)/debian/shogun-r-static \
-			RDIR=/usr/lib/R/site-library
-	#$(MAKE) -C shogun-r_static tests \
-			DESTDIR=$(CURDIR)/debian/shogun-r-static \
-			RDIR=/usr/lib/R/site-library;
-	touch $@
-
-binary-post-install/shogun-dbg:: debian/stamp-post-install-shogun-dbg
-debian/stamp-post-install-shogun-dbg:
